<?php
/**
 * HTML5 Template
 * @version 1.5 stable $Id: category_subcategories.php 171 2010-03-20 00:44:02Z emmanuel.danan $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php
$n = count($this->categories);
$i = 0;


$models = $this->get("_models");
$childs = $models['category']->_childs;
$id_cat = $models['category']->_id;
$parent_id = $models['category']->_category->parent_id;
$path_that = $models['category']->_category->path;
$active_cat = $models['category']->_category->title;

// ---> BD CALL
	$db    = JFactory::getDBO();
	//Where receitas have child
		$path_that = strstr($path_that, '/', true);
		$query_child = 'SELECT * FROM #__categories WHERE path LIKE "%'.$path_that.'%" AND level>="2" AND published="1" AND extension="com_content"';
		$db->setQuery( $query_child );
		$child = $db->loadObjectList('id');
		
		//Cat Items le		
		$query_catid = 'SELECT catid FROM #__flexicontent_cats_item_relations';
		$db->setQuery( $query_catid );
		$query_cat_id = $db->loadObjectList('catid');	
// ---> BD CALL


// Sub-category prefix/suffix/separator parameters
$pretext = $this->params->get( 'subcat_pretext', '' ); $posttext = $this->params->get( 'subcat_posttext', '' );
$opentag = $this->params->get( 'subcat_opentag', '' ); $closetag = $this->params->get( 'subcat_closetag', '' );

$separatorf = $this->params->get( 'subcat_separatorf' ); 
$separators_arr = array( 0 => '&nbsp;', 1 => '<br />', 2 => '&nbsp;|&nbsp;', 3 => ',&nbsp;', 4 => $closetag.$opentag);
$separatorf = isset($separators_arr[$separatorf]) ? $separators_arr[$separatorf] : '&nbsp;';

// Sub-category information parameters
$show_label_subcats = $this->params->get('show_label_subcats', 1);
$show_itemcount     = $this->params->get('show_itemcount', 1);
$show_description_image_subcat = $this->params->get('show_description_image_subcat', 0);
$show_description_subcat     = $this->params->get('show_description_subcat', 0);
$description_cut_text_subcat = $this->params->get('description_cut_text_subcat', 120);

// Classes for sub-category containers
$subcats_lbl_class = ($show_description_subcat || $show_description_image_subcat) ? "fc_inline_clear"  : "fc_inline";
$subcats_lbl_dots  = ($show_description_subcat || $show_description_image_subcat) ? ""  : ": ";
$subcat_cont_class = $show_description_subcat ? "fc_block"  : "fc_inline_block";
$subcat_info_class = $show_description_subcat ? "fc_inline_clear" : "fc_inline";


$subcats_html = "";
foreach ($this->categories as $sub) {
	$subsubcount = count($sub->subcats);
	if(isset($query_cat_id[$sub->id]))
	{
		$cat_link = JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) );
		
		$subcats_html .= "<option onClick=\"window.location = '".$cat_link."'\" >".$this->escape($sub->title)."</option>";
	}
	$i++;

}

?>

<div class="subcategorieslist group">
	<?php

		$subcats_inside_sub = array();
		$x=0;
		$subcats_inside_sub_html = "";
		foreach ($child as $cats) {
			if($cats->extension == "com_content")
			{
				if($parent_id > 1) //Neste caso significa que esta na main
				{
					$subcats_inside_sub[$x]['id'] 			= $cats->id;
					$subcats_inside_sub[$x]['title'] 		= $cats->title;
					$subcats_inside_sub[$x]['parent_id'] 	= $cats->parent_id;
					$subcats_inside_sub[$x]['path'] 		= $cats->path;
					$subcats_inside_sub[$x]['alias'] 		= $cats->alias;
					$subcats_inside_sub[$x]['slug'] 		= $subcats_inside_sub[$x]['id'].":".$subcats_inside_sub[$x]['alias'];
					$subcats_inside_sub[$x]['alias'] 		= $cats->alias;
					
					$cat_link = JRoute::_( FlexicontentHelperRoute::getCategoryRoute($subcats_inside_sub[$x]['slug']));
					
					if(isset($query_cat_id[$cats->id]))
					{
						if($active_cat != $subcats_inside_sub[$x]['title'])
						{
							$subcats_inside_sub_html .= "<option onClick=\"window.location = '".$cat_link."'\" >".$subcats_inside_sub[$x]['title']."</option>";	
						}
						else
						{
							$subcats_inside_sub_html .= "<option selected >".$subcats_inside_sub[$x]['title']."</option>";	
						}
					}
				}
				
			}
			$x++;
		}
	?>


	<?php 
		if ($show_label_subcats) {
			echo "<span class='subcategorieslabel ".$subcats_lbl_class."'>".JText::_( 'FLEXI_SUBCATEGORIES' )."</span>".$subcats_lbl_dots;
		}
	?>
	<select>
	<?php 
		if(isset($subcats_html[0])) 
		{
			echo "<option>".JText::_( 'FLEXI_ALL' )."</option>"; 
			echo $subcats_html;
		}
		else {
			$cat_link = JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) );
			$cat_link_all = JRoute::_( FlexicontentHelperRoute::getCategoryRoute($models['category']->_data[0]->cats[0]->slug) );
			echo "<option onClick=\"window.location = '".$cat_link_all."'\" >".JText::_( 'FLEXI_ALL' )."</option>";
			print_r($subcats_inside_sub_html);



		}
	?>

	</select>

</div>